---
title: msPutPropertyEnabled
slug: Web/API/msPutPropertyEnabled
tags:
  - msPutPropertyEnabled
---
<p id="Summary">{{APIRef("HTMLMediaElement")}}</p>

<p>{{Non-standard_header()}}</p>


<p>The <code><strong>msPutPropertyEnabled</strong></code> method sets whether a given property in the style object is enabled or disabled.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="brush: js">var retval = style.msPutPropertyEnabled(propertyName, true);
</pre>

<h3 id="Parameters">Parameters</h3>

<p>name[in]: Name of the property. (String)</p>

<p>boolean[in]: True = Enable the property. False = Disable the property.</p>

<h3 id="Return_value">Return value</h3>

<p>Type = HRESULT: If this method succeeds, it returns S_OK. Otherwise, it returns an HRESULT error code.</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/CSSStyleDeclaration">CSS Style Declaration</a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
